import type { _NSControl } from "./NSControl.js";
import type { NSControlStateValue } from "./NSControlStateValue.js";
export declare class _NSSwitch extends _NSControl {
    static alloc(): _NSSwitch;
    static new(): _NSSwitch;
    init(): _NSSwitch;
    /**
     * The current position of the switch. The values `NSControlStateValueOff` and `NSControlStateValueOn` indicate that the switch is in either the off or on position respectively. If the state property is set to any other value, it is interpreted as on. If set through the animator proxy, the switch animates to the new value.
     */
    state(): NSControlStateValue;
    setState$(value: NSControlStateValue): void;
}
